Subject: Re: bug#16840: 24.3.50; Jerky motion and up/down asymmetry scrolling images in Eww

From: Eli Zaretskii <[email-masked]>
Date: Thu, 26 Sep 2019 20:11:12 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked] (N. Jackson),  [email-masked]
> Date: Thu, 26 Sep 2019 18:58:02 +0200
> 
> If you need an easier example to test image scrolling with, here's a
> sexp.  :-)

I don't need another example, I need someone who'd be willing to look
into these problems and fix them.  It isn't right for Emacs to depend
on a single curmudgeon for fixing all the display glitches: what if
I'm run over by a bus or something?

> (progn
>   (switch-to-buffer "*image*")
>   (erase-buffer)
>   (set-frame-height (window-frame (selected-window)) 1000 nil t)
>   (let* ((width 300)
> 	 (height 800)
> 	 (svg (svg-create width height)))
>     (svg-gradient svg "background" 'linear '((0 . "#b0b0b0") (100 . "#808080")))
>     (svg-rectangle svg 0 0 width height :gradient "background"
>                    :stroke-width 2 :stroke-color "black")
>     (dotimes (i 30)
>       (insert (format "%d\n" i)))
>     (svg-insert-image svg)
>     (insert "\n")
>     (dotimes (i 30)
>       (insert (format "%d\n" i)))
>     (goto-char (point-min))))

I get an empty window showing nothing.  What did I miss?  And how is
this related to the issue at hand, may I ask?